## calamares-settings-ubuntu 25.04.19

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.19) plucky; urgency=medium

  * [Lubuntu] Update slides for current applications:
    * Support: IRC -> Matrix, Lubuntu -> Ubuntu Discourse
    * Lightweight: KCalc -> Qalc 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 07 Mar 2025 03:21:03 +0000
