## calamares-settings-ubuntu 25.04.20

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.20) plucky; urgency=medium

  * Update OEM batch identifier to match current version.

 -- Walter Lapchynski <wxl@ubuntu.com>  Mon, 24 Mar 2025 07:01:24 +0000
