## calamares-settings-ubuntu 25.04.21

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.21) plucky; urgency=medium

  * Update partition names to match current version.

 -- Walter Lapchynski <wxl@ubuntu.com>  Mon, 24 Mar 2025 22:46:46 +0000
