## calamares-settings-ubuntu 25.04.23

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.23) plucky; urgency=medium

  * [Kubuntu] Update welcome images for 25.04 (LP: #2104062)
  * [Kubuntu] Update 07_Free_and_Open_Source installer slide for plucky
    puffin mascot image.
  * [Kubuntu] Update 10_Kubuntu_Focus installer slide.

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Apr 2025 11:38:23 +0100
