## calamares-settings-ubuntu 25.04.24

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.24) plucky; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes needed.
  * [pkgselectprocess] If checkpackage-backend does not exist in the target
    system, likely due to the use of stacked squashfses, ensure it temporarily
    exists so it can be used in the install process. This fixes installation
    of the Virtual Machine Manager when selected on the Customize menu
    (LP: #2104243).
  * [OEM] As a temporary stop-gap until this can be completely re-written next
    cycle, ensure the sed call in the Calamares OEM setup refers to
    pkgselectprocess, not packages. This was preventing the OEM processing
    step (as opposed to just the GUI configuration) to be missing
    (LP: #2104343).
  * [OEM] [Kubuntu] In stage two, ensure we use Wayland, consistent with the
    rest of the session scripts.
  * [pkgselectprocess] Disable the dpkg trigger inhibition logic this cycle.
    The original goal here was to de-duplicate some of the trigger processing
    work, but it's obvious this needs more work. It's too premature to ship
    right now, unfortunately.
  * [Lubuntu] Remove the Dracut configuration so we fall back to the defaults
    provided by the package. This is a no-op.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 09 Apr 2025 07:02:36 -0500
