=== debian/control ===
Source: calamares-settings-ubuntu
Section: devel
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake,
               extra-cmake-modules,
               intltool,
               libapt-pkg-dev,
               libcalamares-dev (>= 3.3.13-0ubuntu4),
               libkf6coreaddons-dev,
               libqt6svg6-dev,
               libyaml-cpp-dev,
               python3,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-l10n-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.2
Homepage: https://code.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
Vcs-Browser: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
Vcs-Git: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
Rules-Requires-Root: no

Package: calamares-settings-kubuntu
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends}
Conflicts: calamares-settings-ubuntu-flavor
Provides: calamares-settings-ubuntu-flavor
Description: Kubuntu Calamares Settings and Branding
 This package contains the Calamares settings and branding for Kubuntu.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Kubuntu desktop is installed with the
 KDE Plasma desktop environment.

Package: calamares-settings-lubuntu
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends}
Recommends: lubuntu-installer-prompt
Conflicts: calamares-settings-ubuntu-flavor
Provides: calamares-settings-ubuntu-flavor
Description: Lubuntu Calamares Settings and Branding
 This package contains the Calamares settings and branding for Lubuntu.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Lubuntu desktop is installed with the
 LXQt desktop environment.

Package: calamares-settings-ubuntu-unity
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         qt6-style-kvantum,
         qt6-style-kvantum-themes,
         ${misc:Depends},
         ${qml6:Depends}
Conflicts: calamares-settings-ubuntu-flavor
Provides: calamares-settings-ubuntu-flavor
Description: Ubuntu Unity Calamares Settings and Branding
 This package contains the Calamares settings and branding for Ubuntu Unity.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Ubuntu Unity desktop is installed with the
 Unity desktop environment.

Package: calamares-settings-ubuntu-common
Architecture: any
Depends: calamares (>= 3.3.13-0ubuntu4),
         calamares-settings-ubuntu-common-data (= ${binary:Version}),
         cryptsetup,
         dracut-core,
         kdialog,
         keyutils,
         snapd-seed-glue,
         squashfs-tools,
         sudo,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Common Calamares Settings
 This package contains the common Calamares settings for all flavors.
 There is also a automirror Python script to set sources based on
 geolocation.
 .
 Common settings for all Ubuntu flavors.

Package: calamares-settings-ubuntu-common-data
Architecture: all
Depends: ${misc:Depends},
         python3,
         python3-distro,
Conflicts: calamares-settings-ubuntu-common (<< 1:25.04.16)
Replaces: calamares-settings-ubuntu-common (<< 1:25.04.16)
Description: Data for Common Calamares Settings
 This package contains the common Calamares settings for all flavors.
 There is also a automirror Python script to set sources based on
 geolocation.
 .
 Architecture-independent data for the common Calamares settings.
