## calamares-settings-ubuntu 25.04.25

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.25) plucky; urgency=medium

  * [pkgselectprocess] When we are creating the final list of packages to feed
    to "apt install," virtual packages which do not have a valid candidate are
    included in this list, causing the installation to fail. When creating
    this list, use FindGrp instead of FindPkg, and only add it to the list if
    there is a valid candidate. Additionally, add these items to an unordered
    set, to eliminate deduplication (LP: #2106773).
  * [pkgselect] As a temporary measure until OEM is refactored in the 25.10
    cycle, we need to ensure that Calamares and its necessary dependencies are
    installed on the target, iff this is a stacked squashfs. We're doing this
    in pkgselect instead of pkgselectprocess because pkgselect already knows
    about stacked squashfses, it's what provides the final "additional install
    list" to be considered by checkpackage-backend, and this is a temporary
    fix anyway (LP: #2104343).
  * [pkgselectprocess] To complement the last fix, ensure that Calamares ends
    up on the removal list for non-stacked squashfses if and only if OEM is
    disabled, and Calamares shows up on the install list only for stacked
    squashfses which have OEM enabled. This nuanced approach ensures all
    potential combinations have the intended functionality.
  * [OEM] Ensure the final desktop file completing OEM is marked as executable.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 13 Apr 2025 03:17:13 -0500
