=== debian/control ===
--- 
+++ 
@@ -75,6 +75,7 @@
          dracut-core,
          kdialog,
          keyutils,
+         libglib2.0-bin,
          snapd-seed-glue,
          squashfs-tools,
          sudo,
