## calamares-settings-ubuntu 25.04.26

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.26) plucky; urgency=medium

  * [bootloader] Instead of utilizing a contextualprocess to only bind-mount
    /cdrom to /media/cdrom when it's a specific type of system, simply add it
    to the mounts for all flavors, and move the specific copy of the vmlinuz
    file to a dedicated shellprocess module. This will be re-factored next
    cycle, ideally being worked directly into a dedicated C++ module instead
    of several, miscellaneous shell scripts wrapped in YAML.
  * [pkgselectprocess] Explicitly log all apt commands in the debug logs.
  * [pkgselectprocess] Ensure apt-cdrom command outputs have their own prefix.
  * [checkpackage-backend] Simply pass through packages starting with "^" or
    containing "*". For this cycle we can trust our distributors won't do
    anything unusual, but next cycle, we need to perform explicit validation
    on these items. If you are a downstream, please be careful.
  * [pkgselectprocess] Ensure hasInternet is available as a local variable, so
    we can use it.
  * [pkgselectprocess] When running apt remove, use CPBE just in case.
  * [pkgselectprocess] When doing installations without network, we need to
    ensure that we don't try to perform apt operations that require internet.
    To do this in Plucky, we need to temporarily copy the ubuntu.sources file
    to an ubuntu.sources.bak file. To bring all of the previous commits in
    this upload together, we use the bind-mounted /media/cdrom not only to
    install the correct GRUB packages, but to ensure that we can still install
    them and any other packages on ship-live. There has to be a better, more
    native way to do this. It works for now, but in the Questing cycle, we're
    probably going to move some of these command-line apt calls to be a
    consumer of the libapt C library (LP: #2107287).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 15 Apr 2025 22:36:52 -0500
