=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.27) plucky; urgency=medium

  * Disable virt-manager installation in third-party software options, as the
    package is broken when installed by pkgselect.
  * Remove full installation and third-party software options from all
    flavors.
  * Fix segfaults during installation. (LP: #2107486)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 16 Apr 2025 18:23:56 -0500
