=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                dh-sequence-qmldeps,
                cmake,
                extra-cmake-modules,
+               fakeroot,
                intltool,
                libapt-pkg-dev,
                libcalamares-dev (>= 3.3.13-0ubuntu4),
