## calamares-settings-ubuntu 25.10.1

=== debian/changelog ===
calamares-settings-ubuntu (1:25.10.1) questing; urgency=medium

  * Update Kubuntu branding for 25.10.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Jun 2025 12:56:18 +0100
