=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
                dh-sequence-qmldeps,
                cmake,
                extra-cmake-modules,
+               golang-github-snapcore-snapd-dev (>= 2.62),
+               golang-go,
+               golang-gopkg-yaml.v2-dev,
                fakeroot,
                intltool,
-               libapt-pkg-dev,
                libcalamares-dev (>= 3.3.13-0ubuntu4),
                libkf6coreaddons-dev,
                libqt6svg6-dev,
@@ -77,7 +79,6 @@
          kdialog,
          keyutils,
          libglib2.0-bin,
-         snapd-seed-glue,
          squashfs-tools,
          sudo,
          ${misc:Depends},
