=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 export GO111MODULE=off
 export GOCACHE=$(CURDIR)/.gocache
 export PKGSELECT = "common/modules/pkgselect"
-export PKGSELECTPROCESS = "common/modules/pkgselectprocess"
 export USRDIR = "debian/calamares-settings-ubuntu-common/usr"
 export DATA_USRDIR = "debian/calamares-settings-ubuntu-common-data/usr"
 export MODULES_DIR = "debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules"
@@ -19,12 +18,11 @@
 
 override_dh_auto_configure:
 	(cd $(PKGSELECT) && mkdir build && cd build && cmake ..)
-	(cd $(PKGSELECTPROCESS) && mkdir build && cd build && cmake ..)
 
 override_dh_auto_build:
 	make;
 	(cd $(PKGSELECT)/build && $(MAKE))
-	(cd $(PKGSELECTPROCESS)/build && $(MAKE))
+	(cd common/snap-seed-glue-emb && go build -gcflags="all=-N -l" -ldflags="-compressdwarf=false" -o snap-seed-glue-emb main.go)
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -43,11 +41,8 @@
 	chmod 644 $(DATA_MODULES_DIR)/automirror/module.desc
 	chmod 644 $(MODULES_DIR)/pkgselect/libcalamares_viewmodule_pkgselect.so
 	chmod 644 $(MODULES_DIR)/pkgselect/module.desc
-	mkdir -pv $(MODULES_DIR)/pkgselectprocess
-	cp -v $(PKGSELECTPROCESS)/build/*.so $(PKGSELECTPROCESS)/build/*.desc $(MODULES_DIR)/pkgselectprocess
-	chmod 644 $(MODULES_DIR)/pkgselectprocess/libcalamares_job_pkgselectprocess.so
-	chmod 644 $(MODULES_DIR)/pkgselectprocess/module.desc
+	mkdir -pv $(USRDIR)/bin/
+	cp -v common/snap-seed-glue-emb/snap-seed-glue-emb $(USRDIR)/bin/snap-seed-glue-emb
 	mkdir -pv $(USRDIR)/libexec/ $(DATA_USRDIR)/libexec/
 	cp -v common/fixconkeys-part1 $(DATA_USRDIR)/libexec/fixconkeys-part1
 	cp -v common/fixconkeys-part2 $(DATA_USRDIR)/libexec/fixconkeys-part2
-	cp -v $(PKGSELECTPROCESS)/build/check_package $(USRDIR)/libexec/checkpackage-backend
