=== debian/changelog ===
calamares-settings-ubuntu (1:25.10.6) questing; urgency=medium

  * Remove 'development version' title from Kubuntu welcome page image.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Oct 2025 09:10:22 +0100
