## calamares-settings-ubuntu 26.04.1

=== debian/changelog ===
calamares-settings-ubuntu (1:26.04.1) resolute; urgency=medium

  * Update Kubuntu branding for 26.04 (LP: #2130481)

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Nov 2025 11:08:30 +0000
