=== debian/changelog ===
calamares-settings-ubuntu (1:26.04.2) resolute; urgency=medium

  * Disable dh_dwz for now to avoid FTBFS.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Nov 2025 12:46:53 +0000
