=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
+               dh-builtusing,
                dh-sequence-qmldeps,
                cmake,
                extra-cmake-modules,
@@ -27,6 +28,7 @@
 Vcs-Browser: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
 Vcs-Git: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
 Rules-Requires-Root: no
+XS-Go-Import-Path: github.com/snapcore/snapd
 
 Package: calamares-settings-kubuntu
 Architecture: all
@@ -83,6 +85,7 @@
          sudo,
          ${misc:Depends},
          ${shlibs:Depends}
+Static-Built-Using: ${dh-builtusing:golang-github-snapcore-snapd-dev}
 Description: Common Calamares Settings
  This package contains the common Calamares settings for all flavors.
  There is also a automirror Python script to set sources based on
