## calamares-settings-ubuntu 26.04.3

=== debian/changelog ===
calamares-settings-ubuntu (1:26.04.3) resolute; urgency=medium

  * Update calamares-settings-ubuntu-unity kvantum theme dependencies to
    match new package names.

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 08:16:08 +0000
