## calamares-settings-ubuntu 26.04.4

=== debian/changelog ===
calamares-settings-ubuntu (1:26.04.4) resolute; urgency=medium

  * Fix minimal installation by no longer trying to remove nonexistent
    packages on Kubuntu and Ubuntu Unity. (LP: #2127711)
  * Update version numbers for OEM batch IDs and partition names for Lubuntu
    and Ubuntu Unity.
  * Switch to supporting the livecd-rootfs-only ISO build system. (Reference:
    https://discourse.ubuntu.com/t/spec-make-iso-in-livefs-build/73349)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 23 Feb 2026 18:15:28 -0500
